# coding: utf-8

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.1.0
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import peertube
from peertube.models.video_upload_response import VideoUploadResponse  # noqa: E501
from peertube.rest import ApiException

class TestVideoUploadResponse(unittest.TestCase):
    """VideoUploadResponse unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test VideoUploadResponse
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = peertube.models.video_upload_response.VideoUploadResponse()  # noqa: E501
        if include_optional :
            return VideoUploadResponse(
                video = peertube.models.video_channel_owner_account.VideoChannel_ownerAccount(
                    id = 1.337, 
                    uuid = '0', )
            )
        else :
            return VideoUploadResponse(
        )

    def testVideoUploadResponse(self):
        """Test VideoUploadResponse"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
